<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- expected param: importerBean (the bean which extends PatientImporter) -->
    <h1>#{messages['net.ihe.gazelle.patgen.ImportPatientsFromACSVFile']}</h1>
    <h:form id="globalform">
        <s:div id="globalDiv">
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">#{messages['net.ihe.gazelle.patgen.ImportConfiguration']}</ui:define>
                <h:outputText value="#{messages['net.ihe.gazelle.patgen.UseThePickListAvailableBelowToDescribeTheContent']}"
                              styleClass="help-block"/>
                <div class="row">
                    <div class="col-md-6">
                        <rich:pickList value="#{importerBean.attributesOrder}" var="items"
                                       listWidth="600px" sourceCaption="Available attributes"
                                       targetCaption="CSV format" orderable="true">
                            <f:selectItems value="#{importerBean.availableAttributes}"/>
                            <g:column>
                                <h:outputText value="#{items}"/>
                            </g:column>
                            <a4j:ajax event="change" render="csvFormat"/>
                        </rich:pickList>
                    </div>

                    <s:div styleClass="col-md-6" id="csvFormat">
                        <h:outputText style="font-weight:bold;" value="#{messages['net.ihe.gazelle.patgen.BelowIsTheSyntaxOfYourCSVFile']}"/>
                        <br/>
                        <br/>

                        <div class="col-md-11">
                            <a4j:repeat value="#{importerBean.attributesOrder}" var="att">
                                <h:outputText value="#{att},"/>
                            </a4j:repeat>
                        </div>
                    </s:div>
                </div>
                <br/>
                <br/>
                <h:outputText value="#{messages['net.ihe.gazelle.patgen.UploadACSVFileContainingTheListOfPatientsToImpor']}"
                              styleClass="help-block"/>
                <br/>
                <br/>
                <a4j:region id="uploadRegion">
                    <rich:fileUpload fileUploadListener="#{importerBean.patientFileUploadListener}"
                                     maxFilesQuantity="1" id="upload" immediateUpload="true" acceptedTypes="csv"
                                     listHeight="50px">
                        <a4j:ajax event="uploadcomplete" render="patientsPanel"/>
                    </rich:fileUpload>
                </a4j:region>
            </ui:decorate>
            <br/>
            <br/>
            <s:decorate template="/layout/panels/_panel_title_footer.xhtml" id="patientsPanel">
                <ui:define name="panel_title">#{messages['net.ihe.gazelle.patgen.ImportedPatients']}</ui:define>
                <rich:dataTable value="#{importerBean.importedPatients}" id="patientTable" var="patient"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                render="ds">
                    <ui:insert name="tableColumns"/>
                    <g:column>
                        <ui:define name="header">#{messages['net.ihe.gazelle.patgen.Actions']}</ui:define>
                        <a4j:commandLink render="patientTable"
                                         actionListener="#{importerBean.removePatientFromList(patient)}">
                            <s:span styleClass="gzl-icon-trash-o"/>
                        </a4j:commandLink>

                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="patientTable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
                <br/>
                <ui:insert name="additionalAttributes"/>
                <ui:define name="panel_footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.patgen.SavePatients']}" actionListener="#{importerBean.saveExtractedPatients()}"
                                       render="patientsPanel" styleClass="gzl-btn-green"/>
                </ui:define>
            </s:decorate>
        </s:div>
    </h:form>
</ui:composition>
